Subject: RE: [Sigtran] DUA and V5UA

From: "Michael Mentz" <[email-masked]>
Date: Tue, 24 Jan 2006 11:56:36 -0000

Hi Sergey,
 
This is a common question when first looking at the two specifications
 
In essence, the DUA 'extension' should be considered as actually being
part of RFC3057 - ie, RFC3057+DUA Extension.
 
All the DUA extension does is introduce some extra messaging and
handling in order for the RFC3057 ASP to also support DPNSS interfaces.
This follows with the real world use of DPNSS/DASS2, alongside PRI -
most vendors offer PRI and DPNSS/DASS2 interfaces on their box - hence
the spec takes this into account.
 
Therefore, your RFC3057 ASP has interface identifiers that either use
QPTM messaging for PRI/BRI/QSIG, or DPTM messaging for DPNSS/DASS2.

For V5UA, the differences are far more fundamental - for one, V5UA uses
a different Interface ID format, no doubt this is one of the primary
reasons why it is split into it's own protocol.
Interfaces Identifiers must be unique within the domain of their ASP, so
V5UA cannot run alongside RFC3057 interfaces, and hence must run a
separate ASP.
Because there is a 1:1 mapping between an ASP and SCTP association, V5UA
requires a different SCTP port number.
There is probably many other reasons more fundamental than this...

As for the SCTP PPID, the only use I have ever seen for this is in tools
such as ethereal - it maybe useful to operator to see the QPTM/DPTM data
split...
 
Hope this helps,
 
Mike
________________________________

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Sergey Mikhailov
Sent: 24 January 2006 07:05
To: SIGTRAN
Subject: [Sigtran] DUA and V5UA

Hi,
 
I have a question on terminology.
 
DUA (RFC 4129) is considered just as extensions to IUA protocol (even
when having its own SCTP Payload protocol ID, no different port number,
and some differences from IUA, e.g. in DLCI field format in message
header), while V5UA (RFC 3807) is considered a protocol. Both RFCs say
that the respective UA "... builds on top of IUA, defining the necessary
extensions to IUA for a ... implementation."
 
Is there a valid reason for such differentiation between "extensions to
the protocol" and "protocol" in this particular case of DUA and V5UA?

Regards,
Sergey Mikhailov.
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Tue, 24 Jan 2006 15:26:26 +0300

Thank you for the explanation, Mike.

Best regards,
Sergey Mikhailov.

  ----- Original Message ----- 
  From: Michael Mentz 
  To: Sergey Mikhailov ; SIGTRAN 
  Sent: Tuesday, January 24, 2006 2:56 PM
  Subject: RE: [Sigtran] DUA and V5UA

  Hi Sergey,

  In essence, the DUA 'extension' should be considered as actually being part of RFC3057 - ie, RFC3057+DUA Extension.

  All the DUA extension does is introduce some extra messaging and handling in order for the RFC3057 ASP to also support DPNSS interfaces.
  This follows with the real world use of DPNSS/DASS2, alongside PRI - most vendors offer PRI and DPNSS/DASS2 interfaces on their box - hence the spec takes this into account.

  Therefore, your RFC3057 ASP has interface identifiers that either use QPTM messaging for PRI/BRI/QSIG, or DPTM messaging for DPNSS/DASS2.

  For V5UA, the differences are far more fundamental - for one, V5UA uses a different Interface ID format, no doubt this is one of the primary reasons why it is split into it's own protocol.
  Interfaces Identifiers must be unique within the domain of their ASP, so V5UA cannot run alongside RFC3057 interfaces, and hence must run a separate ASP.
  Because there is a 1:1 mapping between an ASP and SCTP association, V5UA requires a different SCTP port number.
  There is probably many other reasons more fundamental than this...

  As for the SCTP PPID, the only use I have ever seen for this is in tools such as ethereal - it maybe useful to operator to see the QPTM/DPTM data split...

  Hope this helps,

  Mike

------------------------------------------------------------------------------
  From: [email-masked] [mailto:[email-masked]] On Behalf Of Sergey Mikhailov
  Sent: 24 January 2006 07:05
  To: SIGTRAN
  Subject: [Sigtran] DUA and V5UA

  Hi,

  DUA (RFC 4129) is considered just as extensions to IUA protocol (even when having its own SCTP Payload protocol ID, no different port number, and some differences from IUA, e.g. in DLCI field format in message header), while V5UA (RFC 3807) is considered a protocol. Both RFCs say that the respective UA "... builds on top of IUA, defining the necessary extensions to IUA for a ... implementation."

  Is there a valid reason for such differentiation between "extensions to the protocol" and "protocol" in this particular case of DUA and V5UA?

  Regards,
  Sergey Mikhailov.